javax.security.auth.login

## Class LoginException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.security.auth.login.LoginException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AccountException, CredentialException, FailedLoginException

    public class LoginException
    extends GeneralSecurityException

This is the basic login exception.

See Also:
  `LoginContext`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LoginException()` Constructs a LoginException with no detail message.
`LoginException(String msg)` Constructs a LoginException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LoginException

    public LoginException()

Constructs a LoginException with no detail message. A detail message is a String that describes this particular exception.

#### LoginException

    public LoginException(String msg)

Constructs a LoginException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.